Skip to main content

Get Workspace

Returns the current workspace configuration. Auth: JWT or API Key

Response 200


Update Workspace

Updates workspace configuration. Only include fields you want to change. Auth: JWT or API Key

Request Body

Response 200

Returns the full updated WorkspaceResponse.

Plan Gating

Setting user_daily_budget_usd requires the Pro plan or higher. Basic plan workspaces will receive a 403 error.Configuring max_concurrent_runs requires the Pro plan or higher. Basic plan workspaces are fixed at 3 concurrent runs.

Toggle Kill Switch

Enables or disables the kill switch. When active, all runs and steps are immediately blocked with KILL_SWITCH_ACTIVE. Auth: JWT or API Key

Request Body

Response 200

Returns the full updated WorkspaceResponse with kill_switch reflecting the new state.

Plan Gating

The kill switch requires the Scale plan or higher. Basic and Pro plans will receive a 403 error when trying to enable it.